﻿using SushiBarDataModels;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SushiBarContracts.ViewModels
{
    public class MessageInfoViewModel : IMessageInfoModel
    {
        public string MessageId { get; set; } = string.Empty;

        public int? ClientId { get; set; }

        [DisplayName("Имя отправителя")]
        public string SenderName { get; set; } = string.Empty;

        [DisplayName("Дата получения")]
        public DateTime DateDelivery { get; set; } = DateTime.Now;

        [DisplayName("Тема письма")]
        public string Subject { get; set; } = string.Empty;

        [DisplayName("Душа письма...")]
        public string Body { get; set; } = string.Empty;
    }
}
